Subject: Re[2]: Petzold Example
From: [email-masked] (GBradfor)

22 Nov 1997 02:35:06 -0800
Message-ID: <[email-masked]>
To: [email-masked]

     First, thanks to all of you who replied.  It was a great help.
     
     Second, Colin, any comments on the reply below?  In your humble 
     opinion, what are the benefits of someone like me using mingwin32 
     vis-a-vis full-up b18/coolview/whatever?  One thing I have heard from 
     you already is the availability of thread-safe libraries.  Any others?
     
     Thanks again.
     
     /s/
     Pat Bradford
        Reply to:
                [email-masked]
                        AND/OR
                [email-masked]

______________________________ Reply Separator _________________________________
Subject: Re: Petzold Example
Author:  "Pedro A. Aranda Gutiirrez" <[email-masked]> at Internet
Date:    11/19/97 7:38 AM

GBradfor wrote:
     
>      Yes, I confess!  I am a newbie Windows programmer!
     
Ok, and is there something wrong about it? In Spain we saythat noone was born 
knowing (which in slang sound quite powerful) :)
     
>      As others posting to this list have confessed, I am attempting to get 
>      the very first example in that classic, "Programming Windows 95" to
>      run using gcc.  Unfortunately, like the others, I am running into 
>      problems even after reading the previous postings (I agree with
>      another poster:  a search engine would be darn handy).
     
Have you tried to install the Minimalist GNUWIN32? It'll make thingseasier and 
Colin has a wonderfull introduction on installing and compiling
on his page. Just follow the link from Cygnus and download the Minimalist 
files. Colin's page then points at two interesting places. One is in Germany 
and features a CYGWIN.DLL free GCC for Win32 (very handy, feels almost
like DJGPP) and a place with and EGCS implementation for Win32 which 
seems to run (at least GCC and GDB) seamlessly.
     
>          ld -o hellowin.exe hellowin.obj --subsystem windows -luser32 / 
>                 -lgdi32 -L$(GCC_WIN_LIB)
     
This is living dangerously. Again, follow Colin's instructions, use GCC todrive 
LD and things will be a lot easier for you.
     
>          A required .DLL file, j.DLL, was not found.
     
?????? Again, go for Colin's stuff. It'll be way easier.
     
Cheers, and happy programming
--
     
     +--------------------------------------------------------+ 
     |  ####   Pedro Andres Aranda Gutierrez                  | 
     |  ####   ATM Networks Division                          | 
     |  ####   Telefonica I+D          C./ Emilio Vargas, 6   | 
     |  ====                           E-28043 Madrid, Spain  | 
     |  ====   mailto:[email-masked]      Tlf +34-1-337 47 02    | 
     |  ====                           FAX +34-1-337 45 02    | 
     +--------------------------------------------------------+

Received: from michp758.redstone.army.mil (136.205.10.78) by
fhssmtp.redstone.army.mil with SMTP
  (IMA Internet Exchange 2.11 Enterprise) id 00000328; Wed, 19 Nov 97 01:53:53
-0600
Date: Wed, 19 Nov 1997 07:38:21 +0100
From: "Pedro A. Aranda Gutiirrez" <[email-masked]>
Organization: Telefnica I+D
To: [email-masked], [email-masked]
Subject: Re: Petzold Example

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".